This project is read-only.

How can I use SDC Task in Framework 4.0?

May 20, 2010 at 11:46 AM

I made a script for Build automation in framework 2.0 for vs2005 Application and Now I am going to migrate the Application in VS2010 and Framework 4.0. I have multiples of target by using SDC tasks.

So I have some queries regarding this..

1. Is there has updated sdc.task.dll available which would compatible with framework 4.0 ?

2. If yes then gimme the path where I can get it.

3. If not available then what is the alternate solution of this ?

Please respond me.. am Stuck at this moment.

Thanks

Neeraj

 

May 20, 2010 at 12:20 PM

They should work under .net 4.0. What issue are you seeing? No further releases of the SDC Tasks are planned. IF you are after a .Net 4 library, take a look at www.MSBuildExtensionPack.com. The 4.0 release will ship soon.

Mike

May 25, 2010 at 12:11 PM

Mike, Thanks to responding me,

Basically, As I migrate the my Automated build project in framework 4.0 , I am getting the following error.

      c:\WorkArea\InstallerTest1\Installer\Web\Pegasus.WebDeployment.Targets(661,3): error MSB4062: The "Web.AppPool.Exists" task could not be loaded from the assembly c:\WorkArea\InstallerTest1\Installer\bin\Microsoft.Sdc.Tasks.dll. Could not load file or assembly 'file:///c:\WorkArea\InstallerTest1\Installer\bin\Microsoft.Sdc.Tasks.dll' or one of its dependencies. This assembly is built by a runtime newer than the currently loaded runtime and cannot be loaded. Confirm that the <UsingTask> declaration is correct, and that the assembly and all its dependencies are available.
    Done building target "AppPoolExists" in project "Pegasus.WebDeployment.wdproj" -- FAILED.

 Is it helpful If I download the SDC Code and migrate it to framework 4.0 and update my referenced sdc dll with newly 4.0 built dll.

will it work ?

please share your thought..  

Thanks

Neeraj

 

Jun 17, 2010 at 4:50 PM

Is it possible to get an update that at least utilizes the latest mstest.exe from vs2010?  I would build it myself but I would have to remove some of the dependencies that I do not currently have.

Thoughts?

 

Nov 17, 2011 at 5:47 PM
mikefourie wrote:

They should work under .net 4.0. What issue are you seeing? No further releases of the SDC Tasks are planned. IF you are after a .Net 4 library, take a look at www.MSBuildExtensionPack.com. The 4.0 release will ship soon.

Mike


It's very sadly.

MsBuildExtensionPack is not handy. It use complex tasks witch specify needed action in parametrs. It is not conform to standard msbuild tasks, and very complex for read and write msbuild scripts.

Nov 17, 2011 at 10:27 PM

Let me know what you are finding difficulty with in the extension pack and I'll try help out.

Mike